import location from './utils/location'
import event from './utils/event'

export function install(Vue, options) {
    if (install.installed) return;
    install.installed = true;

    const _router = options.router;
    if (!_router) return;

    //链接跳转，实现push、replace功能
    location.init(Vue, _router);

    //bus事件总线
    event.init(Vue)
}
