import * as T from './types'
import actions from './actions'
import mutations from './mutations'

const state = {
    design_components: {},
    design_meta: {},
    design_selectComp_meta: {},
    currViewName: '',
    currViewItems: [],
    pages: [],
    routeMap: {}
};

const getters = {
    [T.DESIGN_META]() {
        return state.design_meta
    },

    [T.CURRVIEW_NAME]() {
        return state.currViewName
    },

    [T.SELECT_COMP_META]() {
        return state.design_selectComp_meta
    },

    [T.PAGE_LIST]() {
        return state.pages
    },

    [T.ROUTE_MAP]() {
        return state.routeMap
    },

    [T.DESIGN_COMPONENTS]() {
        return state.design_components
    }
};

export default {
    state,
    mutations,
    actions,
    getters
}
