function addMockData(component) {
    if (component && component.designer && component.designer.mockData) {
        window.$app.axios.addMockData(component.designer.mockData)
    }
}

export default function registerMockData(baseComps, bizComps) {
    if (window.$app.axios) {
        if (baseComps) {
            Object.keys(baseComps).forEach(id => addMockData(baseComps[id]))
        }
        if (bizComps) {
            bizComps.forEach(biz => addMockData(biz))
        }
    }
}
